commit:     ccbf4322c6c73ba5b956c43c27216a7d4f502cfe
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 17 09:34:51 2024 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Wed Apr 17 09:34:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ccbf4322

dev-python/shapely: bump to 2.0.4

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 dev-python/shapely/Manifest             |  1 +
 dev-python/shapely/shapely-2.0.4.ebuild | 50 +++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-python/shapely/Manifest b/dev-python/shapely/Manifest
index c58278929be0..0934e8098cb6 100644
--- a/dev-python/shapely/Manifest
+++ b/dev-python/shapely/Manifest
@@ -1 +1,2 @@
 DIST shapely-2.0.3.gh.tar.gz 330889 BLAKE2B 
32b56fb6517ee1831f2a93a54b2844e71fb860b3d0de992c9c16ab3e028ade8f6a0ecb5a5c7c8104637111486cec24ecbeb6fe0cf1a1f5282f8bc0b2c73a112a
 SHA512 
862c9af9a40ddc759094375689327298979cb19cde6e4fbd0edc7e6bd0ed5296960628a4be7030bedfecaa8d3dd77bc1e1bac137d698530fea055ddc914e2ab8
+DIST shapely-2.0.4.gh.tar.gz 331588 BLAKE2B 
4b7f8afa8e4358ed473c6172c340520a4cdf7ab76752c12a96070e88834c0b44fa87b0815fecbe337f012ca1d15bc3f38cb59ef23cf589d4e3e8f2ecbafb5660
 SHA512 
497bb6d1b3fbfc5758c167e984bb57f52746dae47d7d365e6f13e3879beced8194aea9119c287c8eadf2f74e038e2dbb07e906177f521fab195edcb4b7a9bdbb

diff --git a/dev-python/shapely/shapely-2.0.4.ebuild 
b/dev-python/shapely/shapely-2.0.4.ebuild
new file mode 100644
index 000000000000..30e3436f91d3
--- /dev/null
+++ b/dev-python/shapely/shapely-2.0.4.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Geometric objects, predicates, and operations"
+HOMEPAGE="
+       https://pypi.org/project/shapely/
+       https://github.com/shapely/shapely/
+"
+SRC_URI="
+       https://github.com/shapely/shapely/archive/${PV/_p/.post}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+       >=sci-libs/geos-3.9
+"
+RDEPEND="
+       ${DEPEND}
+       dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       ${DEPEND}
+       >=dev-python/cython-0.29.32[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-2.0.2-c99.patch
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+       rm -rf shapely || die
+       epytest --pyargs shapely
+}

Reply via email to